AsterNet Class Library (Sandcastle documentation)

| ScriptMapping Class

[Missing <summary> documentation for "T:AsterNET.FastAGI.MappingStrategies.ScriptMapping"]

Inheritance Hierarchy
System
Object
AsterNET.FastAGI.MappingStrategies
ScriptMapping

Namespace: AsterNET.FastAGI.MappingStrategies
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public class ScriptMapping

    Public Class ScriptMapping

    public ref class ScriptMapping

    type ScriptMapping =  class end

The ScriptMapping type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| ScriptMapping | Initializes a new instance of the ScriptMapping class

Top
Methods

| Name | Description
--- | --- | ---
| Equals | Determines whether the specified Object is equal to the current Object. (Inherited from Object.)
| Finalize | Allows an object to try to free resources and perform other cleanup operations before it is reclaimed by garbage collection. (Inherited from Object.)
| GetHashCode | Serves as a hash function for a particular type. (Inherited from Object.)
| GetType | Gets the Type of the current instance. (Inherited from Object.)
| LoadMappings |
| MemberwiseClone | Creates a shallow copy of the current Object. (Inherited from Object.)
| SaveMappings |
| ToString | Returns a string that represents the current object. (Inherited from Object.)

Top
Properties

| Name | Description
--- | --- | ---
| PreLoadedAssembly |
| ScriptAssmebly | The name of the assembly to load, that contains the ScriptClass. Optional, if not specified, the class will be loaded from the current assembly
| ScriptClass | The class containing the AGIScript to be run
| ScriptName | The name of the script as called by FastAGI

Top
See Also

#### Reference

AsterNET.FastAGI.MappingStrategies Namespace